﻿body {
    height: 100%;
    margin-top: 0px;
    font-family: var(--body-font-family);
}

table.dataTable tbody tr:nth-of-type(odd) {
    background-color: #f9f9f9; /* Couleur de fond pour les lignes impaires */
}

table.dataTable tbody tr:nth-of-type(even) {
    background-color: #fcfcfc; /* Couleur de fond pour les lignes paires */
}

.dataTables_filter {
    margin-bottom: 10px; /* Ajuste la valeur selon l'espace souhaité */
}

text-success-color {
    font-size: large;
    color: var(--text-color-var1);
    font-weight: bolder
}

.erpstyx_thead_tr {
    background-color: var(--main-color-var1);
    font-size: 12px;
}

.navbar-txt-color {
    color: var(--text-color-var1);
}

.primary-txt-color {
    color: var(--text-color-var1);
}

.secondary-txt-color {
    color: var(--text-color-var2) !important;
}

.identifiant-connexion-txt-color {
    color: var(--text-color-identifiant-connexion) !important;
}

.hyperlink-txt-color {
    color: var(--text-color-var3);
}

.navbar-txt-color.DEMARCHES_HI {
    color: var(--text-color-var1);
}

.navbar-hover :hover {
    background-color: var(--main-color-var1);
    /*background-color: white;*/
}

.main-banner {
    background-color: var(--main-color-var1);
}

.connexion-background {
    background-color: var(--main-color-var1);
}

.navbar-burger {
    position: absolute;
    background: var(--main-color-var1);
    min-width: 220px;
    border-color: var(--navbar-burger-color1);
    left: 20px;
    color: var(--text-color-var1);
}

.navbar-burger-dropdown {
    background: var(--nested-dropdown-color);
    max-width: 380px;
}

.depot_on_cumul {
    text-align: center;
    color: var(--main-color-var1);
    font-size: 32px;
}

.depot_pav_on_cumul {
    text-align: center;
    color: var(--main-color-var1);
    font-size: 32px;
}

a
{
    text-decoration: none;
}

img
{
    border-style: none;
}

legend
{
    font-size: 14px;
}

.div-as-button {
    font-family: Asap;
    border: solid 1px #556731;
    background-color: var(--main-color-var2) !important;
    color: white;
    padding: 4px 10px;
    margin: 0 5px;
    border-radius: .25rem;
}

    .div-as-button:hover {
        background-color: var(--secondary-color-var1) !important;
        border: solid 1px var(--secondary-color-var1) !important;
        border-radius: .25rem !important;
    }

/*TODO*/
input[type=button] {
    font-family: Asap;
}


input[type=button], input[type=submit] {
    border: solid 1px #556731;
    background-color: var(--main-color-var2);
    color: white;
    padding: 4px 10px;
    margin: 0 5px;
    border-radius: .25rem;
}

    input[type=button]:focus, input[type=submit]:focus {
        background-color: var(--secondary-color-var1);
        border: solid 1px var(--secondary-color-var1);
        border-radius: .25rem;
    }

    input[type=button]:hover, input[type=submit]:hover {
        background-color: var(--secondary-color-var1);
        border: solid 1px var(--secondary-color-var1);
        border-radius: .25rem;
    }

input[type=button]:active, input[type=submit]:active {
        border-style: groove;
        border-radius: .25rem;
}

.formulaire-champ {
    display: block;
    margin: auto;
    width: 455px;
    clear: both;
    /*YH 31/05/2022 padding: 5px 0;*/
    font-size: 14px;
    min-height: 25px;
}

.formulaire-champ .lbl-formulaire
{
    text-align: left;
    padding-top: 6px;
    padding-right: 10px;
    width: 260px;
    float: left;
    font-size: 14px;
}

.formulaire-champ .fichier-formulaire {
    float: left;
    display: inline;
    width: 280px;
    margin-top: 5px;
    font-size: 14px;
}

.jauge_contenant {
    width:280px;
    height: 25px;
    clear: both;
}
.jauge_contenu {
    height: 25px;
    width:0%;
    background-color:#C0C0C0;
}

.formulaire-champ .input-formulaire
{
    float: left;
    display: block;
    width: 280px;
    margin-top: 5px;
    font-size: 14px;
}

.formulaire-champ .input-formulaire-sans-stockage {
    float: left;
    display: block;
    width: 280px;
    margin-top: 5px;
    font-size: 14px;
}

.formulaire-champ .input-formulaire[type=select]
{
    float: left;
    display: block;
    width: 280px;
    margin-top: 5px;
    font-size: 14px;
}

.formulaire-champ .input-formulaire[type=checkbox]
{
    margin-top: 10px;
    width: auto;
}

.formulaire-champ .input-indicateur
{
    float: left;
    margin-left: 5px;
    margin-top: 3px;
    height: 24px;
    width: 24px;
}

.formulaire-submit
{
    display: block;
    margin: auto;
    width: 455px;
    clear: both;
    padding-top: 20px;
    font-size: 14px;
    text-align: center;
}


/******************************/
/*                            */
/*      PRINCIPAL             */
/*                            */
/******************************/
.conteneur-global {
    margin: 0 auto;
    /*width: 1000px;*/
    width:100%;/*RESPONSIVE DESIGN V1*/
    box-shadow: 0 0 5px #888;
}

.message_erreur
{
    background-color: #fef1ec;
    border-bottom: solid 2px #cd0a0a;
    position: fixed;
    width: 100%;
    height: auto;
    text-align: center;
    display: none;
    margin:0;
    top: 0;
    left: 0;
    padding: 10px 0;
    color: #cd0a0a;
    z-index: 200;
}

.changement-client
{
    width: 1000px;
    position: fixed;
    height: auto;
    display: block;
    z-index: 199;
}

    .changement-client .info-changement-client {
        color: black;
        background-color: #F2F2F2;
        display: none;
        width: 998px;
        height: auto;
        text-align: center;
        margin: 0;
        top: 0;
        left: 0;
        padding: 10px 0;
        z-index: 199;
        border-left: solid 2px var(--tertiary-color);
        border-right: solid 2px var(--tertiary-color);
    }

    .changement-client .slide-changement-client {
        color: black;
        background-color: #F2F2F2;
        width: 100px;
        height: 25px;
        margin: auto;
        border-bottom: solid 2px var(--tertiary-color);
        border-left: solid 2px var(--tertiary-color);
        border-right: solid 2px var(--tertiary-color);
        float: left;
        text-align: center;
    }

.changement-client .slide-changement-client:hover
{
    cursor: pointer;
}


/******************************/
/*                            */
/*      BANNIERE              */
/*                            */
/******************************/
.conteneur-global .banniere
{
    width: 100%;
    height: 140px;
    background-image: url(../images/banniere.jpg);
    background-repeat: no-repeat;
    background-position-x: center;
}


/******************************/
/*                            */
/*      MENU                  */
/*                            */
/******************************/
.conteneur-global .menu-principal {
    width: 100%;
    height: 30px;
    background-color: var(--main-color-var1);
    position: relative;
    top: 0;
    left: 0;
    z-index: 100;
    color: White;
    font-size: 15px;
}

.conteneur-global .menu-principal a
{
    color: White;
    display: block
}

.conteneur-global .menu-principal * img
{
    margin-top: 2px;
}

.conteneur-global .menu-principal ul
{
    list-style-type: none;   
    margin: 0px;
    padding: 0px;
}

.conteneur-global .menu-principal ul li
{
    position: relative;
    float: left;
    padding: 5px 15px 0 15px;
    height: 25px;
}

    .conteneur-global .menu-principal ul li.menu:hover {
        background-color: var(--button-hover-color);
        cursor: pointer;
    }

.conteneur-global .menu-principal ul li span
{
    display: inline;
    vertical-align: top;
    margin-left: 5px;
}

.conteneur-global .menu-principal ul li:hover ul
{
    display: block;
}

.conteneur-global .menu-principal ul li ul
{
    display: none;
    position: absolute;
    top: 30px;
    left: 0;
    z-index: 50;
    background-color: var(--main-color-var1);
}

.conteneur-global .menu-principal ul li ul.mon-dossier
{
    width: 170px;
}

.conteneur-global .menu-principal ul li ul.mon-dossier-admin
{
    width: 200px;
}

.conteneur-global .menu-principal ul li ul.stats-admin
{
    width: 200px;
}

.conteneur-global .menu-principal ul li ul li
{
    float: none;
    background-color: var(--main-color-var1);
    padding: 0 0 0 0px;
    margin: 0;
    height: 30px; 
}

    .conteneur-global .menu-principal ul li ul li:hover {
        background-color: var(--button-hover-color);
        cursor: pointer;
    }

.conteneur-global .menu-principal ul li ul li a
{
    display: block;
    height: 30px;
    padding: 5px;
}

.conteneur-global .menu-principal ul li.menu-state-lien {
    float: right;
    height: 30px;
    padding-top: 2px;
    padding-left: 20px;
    padding-right: 5px;
}
.conteneur-global .menu-principal ul li.menu-state-lien span {
    color: gold;
    font-size: 12px;
    display: block;
    float: left;
    margin-top: 5px;
    margin-right: 5px;
}
.conteneur-global .menu-principal ul li.menu-state-lien a 
{
    float: left;
    display: block;
    width: 22px;
    height: 22px;
}
.conteneur-global .menu-principal ul li.menu-state-connexion
{
    float: right;
    height: 30px;
    padding-top: 2px;
    padding-left: 20px;
    padding-right: 5px;
}
.conteneur-global .menu-principal ul li.menu-state-connexion span
{
    font-size: 12px;
    display: block;
    float: left;
    margin-top: 5px;
    margin-right: 5px;
}
.conteneur-global .menu-principal ul li.menu-state-connexion a
{
    float: left;
    display: block;
    width: 22px;
    height: 22px;
}

@-moz-document url-prefix()
{
    .conteneur-global .menu-principal * img
    {
        margin-top: 3px;
    }
    
    .conteneur-global .menu-principal ul li
    {
        height: 27px;
        padding: 3px 15px 0; 
    }  
    
    .conteneur-global .menu-principal ul li ul li a
    {
        padding: 3px 5px 5px;
    }
}


/******************************/
/*                            */
/*      FIL ARIANE            */
/*                            */
/******************************/
.conteneur-global .fil-ariane
{
    height: 36px;
    background-color: #F2F2F2;
    border-bottom: solid 4px #F79646;
    padding-left: 20px;
    font-size: 12px;
    padding-top: 8px;
}

.conteneur-global .fil-ariane a
{
    color: Black;
    text-decoration: underline;
}


/******************************/
/*                            */
/*      CONTENU               */
/*                            */
/******************************/
.conteneur-global > .contenu
{
    width: 100%;
    background-color: white;
    padding-bottom: 40px;
}

.conteneur-global .contenu .section-titre-conteneur {
    border-bottom: solid 1px var(--main-color-var1);
}

.conteneur-global .contenu .section-titre-conteneur .section-titre
{
    margin: auto;
    padding-top: 10px;
    padding-bottom: 10px; 
    text-align: center;
}

.conteneur-global .contenu .section-titre p {
    display: inline;
    color: var(--main-color-var1);
    font-size: 32px;
    vertical-align: top;
}

.petit-titre {
    display: inline;
    color: var(--main-color-var1);
    font-size: 18px;
    text-align: center;
}

.conteneur-global .contenu .menu-interne {
    float: left;
    width: 190px;
    margin-top: 20px;
    margin-left: 4px;
    margin-right: 4px;
    border: solid 1px var(--main-color-var1);
}

.conteneur-global .contenu .menu-interne > ul
{
    list-style-type: none;   
    margin: 0px;
    padding: 0px;
    width: 190px;
}

    .conteneur-global .contenu .menu-interne > ul > li {
        background-color: var(--main-color-var1);
        font-size: 12px;
        font-weight: normal;
        color: White;
        position: relative
    }

        .conteneur-global .contenu .menu-interne > ul > li:hover {
            cursor: pointer;
            background-color: var(--button-hover-color);
        }

.conteneur-global .contenu .menu-interne > ul > li.header
{  
    background-color: #F2F2F2;
    font-size: 16px;
    color: Black;
    text-align: center;
    height: 25px;
    padding: 5px 0;
}

.conteneur-global .contenu .menu-interne > ul > li.header:hover
{  
    cursor: default;
    background-color: #F2F2F2;
}

.conteneur-global .contenu .menu-interne > ul > li > a
{
    display: block;
    overflow: hidden;
    padding: 5px;
}

.conteneur-global .contenu .menu-interne > ul > li > a > img
{
    display: block;
    float: left;
}

.conteneur-global .contenu .menu-interne > ul > li > a > span
{
    display: block;
	margin-top: 4px;
    margin-left: 28px\9;
    color: White;
}

.conteneur-global .contenu .menu-interne > ul > li.sous-menu-interne
{
    padding: 0;
    background-color: #F79646;
    min-height: 25px;
    height: auto;
}

.conteneur-global .contenu .menu-interne > ul > li.sous-menu-interne:hover
{
    cursor: default;
}

.conteneur-global .contenu .menu-interne > ul > li.sous-menu-interne > img
{
    display: block;
    float: left;
}

.conteneur-global .contenu .menu-interne > ul > li.sous-menu-interne > p
{
    display: block;
    float: left;
    padding: 0;
    margin: 4px 0 0 5px;
}

.conteneur-global .contenu .menu-interne > ul > li.sous-menu-interne-item a
{
    margin-left: 10px;
}


/******************************/
/*                            */
/*      FOOTER                */
/*                            */
/******************************/
.conteneur-global .footer
{
    width: 100%;
    background-color: #F2F2F2;
    border-top: solid 4px #F79646;
    clear: both;
}

.conteneur-global .footer img
{
    display: block;
    padding-top: 20px;
    margin: auto;
}

.conteneur-global .footer * a 
{
    text-decoration: underline;
}

.conteneur-global .footer p
{
    margin: 0px;
    padding: 20px;
    font-size: 10px;
    text-align :center;
}

.conteneur-global .footer p:first-child
{
    padding-bottom: 5px;
}

.conteneur-global .footer p:last-child
{
    padding-top: 5px;
}


/******************************/
/*                            */
/*      DIALOGBOX             */
/*                            */
/******************************/
.msu-dialogbox {
    position: absolute;
    background-color: var(--main-color-var1);
    border: solid white 4px;
    box-shadow: 0 0 10px #888;
    padding: 10px;
    z-index: 500;
    display: none;
}

.msu-dialogbox p
{
    margin: 0;
    color: White;
}

.msu-dialogbox .msu-dialogbox-title
{
    text-align:center;
    padding: 5px 0;
    color: White;
    font-size: 20px;
}

.msu-dialogbox .msu-dialogbox-title img
{
    float: right;
    width: 18px;
    height: 18px;
    padding-top: 6px;
}

.msu-dialogbox .msu-dialogbox-title img:hover
{
    cursor: pointer;
}

.msu-dialogbox .msu-dialogbox-message 
{
    padding: 20px 0 40px 0;
    max-height: 600px;
    overflow-y:scroll;
}

.msu-dialogbox .msu-dialogbox-jauge-message 
{
    text-align: center;
    padding: 20px 0 40px 0;
    max-height: 600px;
    overflow-y: auto;
}

.msu-dialogbox .msu-dialogbox-input
{
    text-align: center
}

.msu-dialogbox .msu-dialogbox-input input[type=button]
{
    padding: 5px 30px 5px 10px;
    background-position: right center;
    background-repeat: no-repeat;
    background-color: #e5e3e3;
    color: Black;
    font-size: 16px;
    float: right;
}

.msu-dialogbox .msu-dialogbox-input input[type=button]:hover
{
    background-color: #f2f2f2;
    cursor: pointer;
    border: solid 1px #556731;   
}

.msu-dialogbox .msu-dialogbox-input .msu-dialogbox-confirm
{
    background-image: url('../images/connexion.png');
}

.msu-dialogbox .msu-dialogbox-input .msu-dialogbox-cancel
{
    background-image: url('../images/cancel.png');
}

.msu-overlay
{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-image: url('../images/back_overlay.png');
    z-index: 499;
}


/******************************/
/*                            */
/*     ACCORDION              */
/*                            */
/******************************/
div.msu-accordion
{
    display: block;
    padding: 5px;
}

    div.msu-accordion h3 {
        font-size: 14px;
        border: solid 1px var(--main-color-var1);
        border-top: none;
        height: 25px;
        padding-left: 30px;
        background-color: var(--main-color-var1);
        padding-top: 4px;
        margin: 0px;
    }

        div.msu-accordion h3:first-child {
            border: solid 1px var(--main-color-var1);
        }

        div.msu-accordion h3:hover {
            cursor: pointer;
            background-color: var(--button-hover-color);
        }

div.msu-accordion h3.msu-accordion-selected
{
    background-color: #F2F2F2;
}

div.msu-accordion h3.msu-accordion-selected span
{
    background-image: url('../images/arrow_bottom.png');
    background-repeat: no-repeat;
    width: 25px;
    height: 25px;
    position: absolute;
    margin-left: -30px;
    margin-top: -2px;
}

div.msu-accordion h3 span
{
    background-image: url('../images/arrow_right.png');
    background-repeat: no-repeat;
    width: 25px;
    height: 25px;
    position: absolute;
    margin-left: -30px;
    margin-top: -2px;
}

    div.msu-accordion > div {
        border-left: solid 1px var(--main-color-var1);
        border-right: solid 1px var(--main-color-var1);
        border-bottom: solid 1px var(--main-color-var1);
        margin: 0px;
        padding: 10px;
        display: none;
    }

div.msu-accordion div.msu-accordion-selected
{
    display: block;
}



/******************************/
/*                            */
/*     FILTRE TABLESORTER     */
/*                            */
/******************************/
.tablesorter-table {
    font-size: 12px;
    margin-top: 11px;
    margin-right: 5px;
    border-spacing: 0px;
    /*width: 790px;*/
    /*RESPONSIVE DESIGN V1*/
    width: 100%;
    text-align: center;
}

.tablesorter-filtre {
    font-size: 12px;
    margin-left: auto;
    margin-top: 20px;
    margin-right: 5px;
    border-spacing: 0px;
    /*width: 790px;*/
    /*RESPONSIVE DESIGN V1*/
    width:100%;
    text-align: right;
}

.tablesorter-filtre *
{
    margin-left: 5px;
}

.tablesorter-filtre img
{
    vertical-align: middle;
}

.tablesorter-filtre img:hover
{
    cursor: pointer;
}

.CompletionList {
    border: solid 1px Red;
    margin: 0px;
    padding: 3px;
    height: 120px;
    overflow: auto;
    background-color: #FFFFFF;
}

.CompletionListItem {
    color: blue;
}

.CompletionListHighlightedItem {
    background-color: white;
}

.zone-recherche-commune {
    background: #FFFFFF url('../images/zone_recherche_commune.png') no-repeat 4px 4px;
    background-position: right;
}
.zone-selection-voie {
    background: #FFFFFF url('../images/zone_selection_voie.png') no-repeat 4px 4px;
    background-position: right;
}

.autocomplete_completionListElement {
    margin: 0px !important;
    background-color: white;
    color: windowtext;
    border: buttonshadow;
    border-width: 1px;
    border-style: solid;
    overflow: auto;
    text-align: left;
    list-style-type: none;
    height: auto;
    max-height: 312px;
}

/* AutoComplete highlighted item */
.autocomplete_highlightedListItem {
    background-color: #ffff99;
    color: black;
    padding: 1px;
}

/* AutoComplete item */

.autocomplete_listItem {
    background-color: window;
    color: windowtext;
    padding: 1px;
}

.modal-dialog .modal-header {
    background-color: var(--main-color-var1);
}

.modal-dialog .modal-body {
    background-color: var(--main-color-var1);
    text-align: center;
    color: White;
    font-size: 16px;
}

.modal-dialog .modal-footer {
    background-color: var(--main-color-var1);
    text-align: center;
    color: White;
    font-size: 16px;
}

.modal-dialog .modal-footer button[type=button] {
    background-color: #E5E3E3;
    text-align: center;
    color: black;
    font-size: 16px;
}

.modal-dialog .modal-header .modal-title {
    text-align: center;
    padding: 5px 0;
    color: White;
    font-size: 20px;
}

button[type=button], button[type=submit] {
    border: solid 1px #556731;
    background-color: var(--main-color-var2);
    /*color: white;*/ /*Causait la disparition des onglets dans "Mon Compte"*/
    padding: 4px 10px;
    margin: 0 5px;
}

    button[type=button]:focus, button[type=submit]:focus {
        border: solid 1px #556731;
        background-color: var(--main-color-var1);
        color: white;
        padding: 4px 10px;
        margin: 0 5px;
    }

    button[type=button]:hover {
        background-color: var(--main-color-var1);
        border: solid 1px var(--main-color-var1);
    }

button[type=button]:active, button[type=submit]:active {
    border-style: groove;
}

/*
    Specifique pour SAC
*/
@media screen and (max-width: 599px) {
    .responsive-cell {
        display: block;
        width: 100% !important;
    }
}

@media screen and (min-width: 600px) {
    .responsive-cell {
        display: table-cell;
        width: 50% !important;
    }
}

.panel-text > span {
    /* Retirer les propriétés text-align et vertical-align si elles y sont. */
    font-family: 'Roboto Condensed';
    font-weight: bold;
    color: #555555;
}

.full-width-panel {
    width: 100%;
    box-sizing: border-box; /* Pour inclure padding dans la largeur */
}

.centered-flex {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.search-container {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    gap: 20px;
    margin-bottom: 5px;
    flex-wrap: wrap;
}

.dtsb-searchBuilder {
    flex-grow: 1;
}

.dtsb-titleRow {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
}

.dtsb-clearAll {
    position: absolute;
    white-space: nowrap;
    margin-left: 20px !important;
}

.dt-search {
    margin-left: auto;
}

.dtsb-group {
    margin-top: 50px;
    text-align: start;
}

@media (max-width: 650px) {
    .search-container {
        flex-direction: column;
        align-items: flex-start;
    }

    .dt-search {
        width: 100%;
        text-align: left;
        margin-left: 0;
        margin-top: 10px;
    }
}

.dtsb-inputCont {
    flex-grow: 0 !important;
    width: auto !important;
    max-width: 200px !important;
}


.dtsb-buttonContainer {
    display: flex !important;
    align-items: center !important;
    justify-content: flex-start !important;
    margin-left: 5px !important;
    width: auto !important;
}

.dtsb-delete {
    min-width: unset !important;
    display: inline-flex !important;
    align-items: center !important;
}

